__CHECK_REGION(9)

NAME
__check_region - check if a resource region is busy or free

SYNOPSIS

int __check_region(struct resource * parent, resource_size_t start, resource_size_t n);

ARGUMENTS

parent
    parent resource descriptor

start
    resource start address

n
    resource region size

DESCRIPTION

Returns 0 if the region is free at the moment it is checked, returns -EBUSY if the region is busy.

NOTE

This function is deprecated because its use is racy. Even if it returns 0, a subsequent call to request_region may fail because another driver etc. just allocated the region. Do NOT use it. It will be removed from the kernel.

COPYRIGHT